Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
SDWParser Class Referencefinal

the main class to read a StarOffice sdw file More...

`#include <SDWParser.hxx>`

Inheritance diagram for SDWParser:

## Public Member Functions
| SDWParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor
| ~SDWParser () final
| destructor
void | setDocumentPassword (char const *passwd)
| set the document password
bool | checkHeader (STOFFHeader *header, bool strict=false) override
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGTextInterface *documentInterface) override
| virtual function used to parse the input
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor
int | version () const
| returns the works version
STOFFParserStatePtr | getParserState ()
| returns the parser state
STOFFHeader * | getHeader ()
| returns the header
STOFFInputStreamPtr & | getInput ()
| returns the actual input
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| parses the different OLE, ...
Protected Member Functions inherited from STOFFTextParser
| STOFFTextParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor (protected)
| STOFFTextParser (STOFFParserStatePtr &state)
| constructor using a state
| ~STOFFTextParser () override
| destructor
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected)
| STOFFParser (STOFFParserStatePtr &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the graphic listener
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the spreadsheet listener
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the text listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
char const * | m_password
| the password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< SDWParserInternal::State > | m_state
| the state

## Private Member Functions
| SDWParser (SDWParser const &orig)=delete
SDWParser & | operator= (SDWParser const &orig)=delete

## Detailed Description

the main class to read a StarOffice sdw file

## Constructor & Destructor Documentation

## ◆ SDWParser() [1/2]

SDWParser::SDWParser | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header )

constructor

## ◆ ~SDWParser()

SDWParser::~SDWParser | ( |  | ) |
| final

destructor

## ◆ SDWParser() [2/2]

SDWParser::SDWParser | ( | SDWParser const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ checkHeader()

bool SDWParser::checkHeader | ( | STOFFHeader * | header,
|  | bool | strict = false )
| override virtual

checks if the document header is correct (or not)

Implements STOFFParser.

Referenced by parse().

## ◆ createDocument()

void SDWParser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool SDWParser::createZones | ( |  | ) |
| protected

parses the different OLE, ...

Referenced by parse().

## ◆ operator=()

SDWParser & SDWParser::operator= | ( | SDWParser const & | orig | ) |
| private delete

## ◆ parse()

void SDWParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| override virtual

virtual function used to parse the input

Implements STOFFTextParser.

## ◆ setDocumentPassword()

void SDWParser::setDocumentPassword | ( | char const * | passwd | ) |
| inline

set the document password

Referenced by STOFFDocumentInternal::getTextParserFromHeader().

## Member Data Documentation

## ◆ m_oleParser

std::shared_ptr<STOFFOLEParser> SDWParser::m_oleParser
| protected

the ole parser

Referenced by createZones(), and parse().

## ◆ m_password

char const* SDWParser::m_password
| protected

the password

Referenced by createZones(), parse(), and setDocumentPassword().

## ◆ m_state

std::shared_ptr<SDWParserInternal::State> SDWParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), and parse().

The documentation for this class was generated from the following files:

- SDWParser.hxx
- SDWParser.cxx